RuntimeInfrastructure mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Attribute System.AttributeUsage(System.AttributeTargets.Constructor | System.AttributeTargets.Method | System.AttributeTargets.All, Inherited=false) System.Runtime.InteropServices.ComVisible(true)

You can apply this attribute to methods or constructors.

This attribute lets you customize the configuration of the method or constructor to which it applies by supplying a value to its class constructor. The members of the enumeration correspond to bit fields in the CorMethodImpl metadata table. This means that information on the attribute cannot be retrieved at run time by calling the method; instead, it is retrieved by calling either the MethodInfo.GetMethodImplementationFlags or the ConstructorInfo.GetMethodImplementationFlags method.

Specifies the details of how a method is implemented. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified value.

  A bitmask representing the desired value which specifies properties of the attributed method.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor sets the CorMethodImpl bit fields in the metadata table. The value of these flags can be retrieved at run time by calling the MethodInfo.GetMethodImplementationFlags or ConstructorInfo.GetMethodImplementationFlags method.

  Initializes a new instance of the class with the specified value.

  A value specifying properties of the attributed method.
  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.CompilerServices.MethodCodeType To be added.

  A value indicating what kind of implementation is provided for this method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.CompilerServices.MethodImplOptions

  The value describing the method attributed by the current instance.

  This property is read-only.

  Gets the value describing the attributed method.

  0
0